{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;
  inherit (lib.marleyos) enabled;

  cfg = config.marleyos.programs.btop;
  inherit (config.marleyos.theme) colors;
in
{
  options.marleyos.programs.btop.enable = mkEnableOption "btop";

  config = mkIf cfg.enable {
    programs.btop = {
      enable = true;

      rose-pine = mkIf colors.isRosePine enabled;

      settings = {
        theme_background = false;
        truecolor = true;
        vim_keys = true;
      };
    };
  };
}
