{
  lib,
  config,
  ...
}:
let
  inherit (lib)
    mkEnableOption
    mkIf
    ;
  inherit (lib.marleyos) disabled;

  cfg = config.marleyos.programs.starship;
in
{
  options.marleyos.programs.starship.enable = mkEnableOption "starship";

  imports = [
    ./nerd-font-symbols.nix
    ./rose-pine.nix
  ];

  config = mkIf cfg.enable {
    programs.starship = {
      enable = true;

      enableTransience = true;

      # Using my own version because I made so many fixes it wasn't worth...
      rose-pine = disabled;
    };
  };
}
